<div *ngIf="parameters" class="container d-flex flex-wrap">
    <ng-container *ngFor="let p of parameters">
        <div *ngIf="p.beginAtNewLine"> &nbsp; </div>
        <app-parameter *ngIf="!p.hidden" [parameter]="p" [ngClass]="p.class" (answer)="onAnswer($event)"></app-parameter>
        <ng-container *ngIf="!p.hidden">
            <ng-container *ngFor="let gp of p.parameters">
                <div *ngIf="gp.beginAtNewLine"> &nbsp; </div>
                <app-parameter [parameter]="gp" [ngClass]="gp.class" (answer)="onAnswer($event)"></app-parameter>
            </ng-container>
        </ng-container>
    </ng-container>
</div>